Bug 1258169 - create new account does not add the user to group wheel
create new account does not add the user to group wheel
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cockpit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Nilsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 16:51 EDT by Chris Murphy
Modified: 2016-12-20 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:31:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot when trying to restart (32.71 KB, image/png)
2015-08-29 16:51 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2015-08-29 16:51:27 EDT
Created attachment 1068321 [details]
screenshot when trying to restart

Description of problem: Once adding a new account 'chris' and logging in as chris, and trying to restart via the cockpit interface, I get an error (see screenshot). Logs indicate I'm not in sudoers, and I then find this user is not in group wheel.

Version-Release number of selected component (if applicable):
cockpit-0.67-1.fc23

How reproducible:
Always


Steps to Reproduce:
1. Tools > Administrator Accounts > Create New Account
2. groups chris


Actual results:

chris : chris


Expected results:

chris : chris wheel


Additional info:

Since these are administrator accounts I should probably be able to do things that require sudo like restart or shutdown the system. But by default when I try to restart via the cockpit interface I get this:

Looks like the user I added via cockpit is not an admin, is not in sudoers.
Aug 29 14:32:17 f23s.localdomain cockpit-bridge[25426]: sudo: a password is required
Aug 29 14:32:17 f23s.localdomain audit[25458]: USER_CMD pid=25458 uid=1000 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0 msg='cwd="/run/user/1000" cmd="cockpit-bridge" terminal=? res=failed'
Aug 29 14:32:17 f23s.localdomain sudo[25458]:    chris : user NOT in sudoers ; TTY=unknown ; PWD=/run/user/1000 ; USER=root ; COMMAND=/bin/cockpit-bridge
Comment 1 Chris Murphy 2015-08-29 19:30:38 EDT
OK I found "Change Roles" to set the user to be a system administrator. But since it's Tools > Administrator Accounts, it's reasonable to conclude these are administrator accounts by default. So that should probably just be Accounts to avoid confusion. And then ideally include an option when creating the user to make them a system administrator.
Comment 2 Stef Walter 2015-09-30 16:02:43 EDT
Agree.
Comment 3 Andreas Nilsson 2015-10-19 07:40:16 EDT
Sounds reasonable.
I'll file individual bugs for both.
Comment 5 Fedora End Of Life 2016-11-24 07:24:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:31:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.